#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nft_fib4_eval_type, "_gpl", "");
KSYMTAB_FUNC(nft_fib4_eval, "_gpl", "");

SYMBOL_CRC(nft_fib4_eval_type, 0x8f213651, "_gpl");
SYMBOL_CRC(nft_fib4_eval, 0x4d5d5abe, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9f256bf9, "nft_register_expr" },
	{ 0x448f4137, "nft_unregister_expr" },
	{ 0xdcb764ad, "memset" },
	{ 0x7fac6cd, "make_kuid" },
	{ 0x88300245, "nft_fib_store_result" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xcdbe0a34, "fib_table_lookup" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb86e1d19, "fib_info_nh_uses_dev" },
	{ 0x5cefe5d, "l3mdev_master_ifindex_rcu" },
	{ 0x1db08f20, "__fib_lookup" },
	{ 0x30d6e866, "skb_copy_bits" },
	{ 0x385fc12a, "inet_dev_addr_type" },
	{ 0xeaf268ba, "nft_fib_init" },
	{ 0xca48b3be, "nft_fib_dump" },
	{ 0xa84a76fa, "nft_fib_validate" },
	{ 0x3cd73f75, "nft_fib_reduce" },
	{ 0x46170f23, "nft_fib_policy" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "nft_fib");

